%define        perl_major_ver  %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-IDEA
Version:       1.10
Release:       1mamba
Summary:       Crypt::IDEA - Perl interface to IDEA block cipher
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Crypt/Crypt-IDEA-%{version}.tar.gz
License:       Systemics license
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
Provides:      perl-Crypt-Idea = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     perl-Crypt-Idea
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This perl extension is an implementation of the IDEA block cipher algorithm.
The module implements the Crypt::BlockCipher interface.

%prep
%setup -q -n Crypt-IDEA-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
find %{buildroot} -name ._test.pl -delete
sed -i -e "s,.*\._test.pl,," $packlist
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)
%doc COPYRIGHT

%changelog
* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-3mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-2mamba
- automatic rebuild by autodist

* Tue Aug 28 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.08-1mamba
- update to 1.08
- renamed from perl-Crypt-Idea to perl-Crypt-IDEA
- fixed package license

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.05-1qilnx
- first build